using System;
using System.Collections.Generic;
using JetBrains.Annotations;
using Magify.Model;

namespace Magify
{
    internal class CampaignsCollection : IContextListener
    {
        [NotNull]
        public IReadOnlyList<CampaignRecord> CurrentCampaigns { get; private set; } = ArraySegment<CampaignRecord>.Empty;

        [NotNull]
        public IReadOnlyList<CampaignRecord> DefaultCampaigns { get; private set; } = ArraySegment<CampaignRecord>.Empty;

        public void ResetCurrentCampaigns()
        {
            CurrentCampaigns = ArraySegment<CampaignRecord>.Empty;
        }

        void IContextListener.UpdateContext(CampaignsContext context, ContextKind kind)
        {
            switch (kind)
            {
                case ContextKind.Default:
                    DefaultCampaigns = context.CampaignModels != null ? CampaignMapper.MapCampaigns(context.CampaignModels) : ArraySegment<CampaignRecord>.Empty;
                    break;
                case ContextKind.Saved or ContextKind.Downloaded:
                    CurrentCampaigns = context.CampaignModels != null ? CampaignMapper.MapCampaigns(context.CampaignModels) : ArraySegment<CampaignRecord>.Empty;
                    break;
            }
        }
    }
}