using UnityEngine.Networking;

namespace Magify
{
    internal readonly struct WebResponseMessage
    {
        public UnityWebRequest.Result Result { get; init; }
        public long ResponseCode { get; init; }
        public string Error { get; init; }
        public string Text { get; init; }
        public WebRequestMessage RequestMessage { get; init; }

        public override string ToString()
        {
            return $"Result: {Result}\n" +
                   $"ResponseCode: {ResponseCode}\n" +
                   $"Error: {Error}\n" +
                   $"Text: {Text}\n" +
                   $"RequestMessage: {RequestMessage}";
        }
    }
}