using System.Collections.Generic;
using System.Linq;

namespace Magify
{
    public static class DictionaryExtensions
    {
        public static bool Compare<TKey, TValue>(this Dictionary<TKey, TValue> x, Dictionary<TKey, TValue> y)
        {
            if (x.Count != y.Count) return false;
            if (x.Keys.Except(y.Keys).Any()) return false;
            if (y.Keys.Except(x.Keys).Any()) return false;
            return x.All(pair => Equals(pair.Value, y[pair.Key]));
        }
    }
}